hakyll-4.16.2.2: A static website compiler library

Safe Haskell | Safe-Inferred
Language | Haskell2010

Hakyll.Core.Util.File

Description

A module containing various file utility functions

Synopsis

- makeDirectories :: FilePath -> IO ()
- getRecursiveContents :: (FilePath -> IO Bool) -> FilePath -> IO [FilePath]
- removeDirectory :: FilePath -> IO ()

# Documentation

makeDirectories :: FilePath -> IO () Source #

Given a path to a file, try to make the path writable by making all directories on the path.

getRecursiveContents Source #

Arguments

:: (FilePath -> IO Bool) | Ignore this file/directory
-> FilePath | Directory to search
-> IO [FilePath] | List of files found

Get all contents of a directory.

removeDirectory :: FilePath -> IO () Source #